#!/usr/bin/python


import random
import math
import time


frenchDictionary = {}
englishDictionary = {}
extraDictionary = {}

nm = 0
ts = time.time()

def okKey(key):
    if key.find("$") != -1:
        return False
    elif key.find("(") != -1:
        return False
    elif key.find(")") != -1:
        return False
    elif key.find("[") != -1:
        return False
    elif key.find("]") != -1:
        return False
    elif key.find("{") != -1:
        return False
    elif key.find("}") != -1:
        return False
    elif key.find("<") != -1:
        return False
    elif key.find(">") != -1:
        return False
    elif key.find("%") != -1:
        return False
    elif key.find("\\") != -1:
        return False
    elif key.find("/") != -1:
        return False
    elif key.find("*") != -1:
        return False
    elif key.find("+") != -1:
        return False
    elif key.find("^") != -1:
        return False
    elif key.find("=") != -1:
        return False
    elif key.find("&") != -1:
        return False
    elif key.find("_") != -1:
        return False
    elif key.find("|") != -1:
        return False
    elif key == "-":
        return False
    elif key.isdigit():
        return False
    else:
        return True

dictionaryFileName = "french_words.txt"
filePath = "data/%s" % dictionaryFileName
count = 1
with open(filePath,"r") as dataFile:
    for line in dataFile:
        #array.append(line)
        #print line
        word = line.rstrip().strip()
        frenchDictionary[word] = count
        count += 1

dataFile.close()


dictionaryFileName = "english_words.txt"
filePath = "data/%s" % dictionaryFileName
count = 1
with open(filePath,"r") as dataFile:
    for line in dataFile:
        #array.append(line)
        #print line
        word = line.rstrip().strip().lower()
        englishDictionary[word] = count
        count += 1

dataFile.close()



dictionaryFileName = "extra_words.txt"
filePath = "data/%s" % dictionaryFileName
count = 1
with open(filePath,"r") as dataFile:
    for line in dataFile:
        #array.append(line)
        #print line
        word = line.rstrip().strip()
        extraDictionary[word] = count
        count += 1

dataFile.close()

print "frenchDictionary size:", len(frenchDictionary)
print "englishDictionary size:", len(englishDictionary)
print "extraDictionary size:", len(extraDictionary)

a = 0
#/u/miloszro/recherche/these/thesis/
#targetFileName = "my_text2.txt"
#filePath = "%s" % fileName
filePath = "/u/miloszro/recherche/these/thesis/chapRevueLitt.tex"
filePath = "/u/miloszro/recherche/these/thesis/chapDef.tex"
filePath = "/u/miloszro/recherche/these/thesis/introduction.tex"
filePath = "liste_mots_fr2.txt"
filePath = "my_text2.txt"
#filePath = "liste_mots_fr2_mini.txt"
lineNumber = 0
numberOfPotentialMistakes = 0
with open(filePath,"r") as dataFile:
    for line in dataFile:
        lineNumber += 1
	linePure = line.rstrip().strip().replace(';',' ').replace(',',' ').replace('.',' ').replace('\'',' ')
	linePure2 = linePure.rstrip().strip().replace('\"',' ').replace('?',' ').replace(':',' ').replace('-',' ').replace('!',' ')
	#linePure3 = linePure.rstrip().strip().replace('(',' ').replace(')',' ').replace('{',' ').replace('}',' ')
        for word in linePure2.split(" "):
            pureWord = word.rstrip().strip()
            #key = pureWord.decode('utf-8').lower()
            key = pureWord.lower()
            if len(key) > 0:
                if okKey(key):
                    if key in frenchDictionary:
                        print "ok"
                        a = 1
                    elif key in englishDictionary:
                        #print "ok"
                        a = 1
                    elif key in extraDictionary:
                        #print "ok"
                        a = 1
                    else:
                        numberOfPotentialMistakes += 1
                        print "%s (%s)" % (key,lineNumber)
                        #print "%s" % (pureWord)
    
dataFile.close()


print ""
print "End"
print "numberOfPotentialMistakes: %s" %numberOfPotentialMistakes



st = time.time()-ts
print st, "sec"

